콘텐츠로 건너뛰기

Async Text to Speech Pro V1.0

통합

모델 id async/tts-pro/v1.0
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/async/tts-pro/v1.0?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "transcript": "Hello from Doitong. This is a short test sentence.",
    "voice": {
      "name": "Jennie"
    }
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

이 요청: $0.001 1 API 크레딧 · ≈ ₽0.10 이 페이지에서 실행

API 키 받기
Async 텍스트를 음성으로 립싱크 #text-to-speech#voice-clone#lipsync

음성 선택, 선택적 음성 복제 및 6가지 강제 언어 옵션을 지원하는 텍스트 음성 변환

Async · 오디오

첫 번째 결과가 여기에 표시됩니다

아래에서 요청을 작성하고 API 키로 실행하세요. 출력은 스토리지에 복사되며, 영구 보관하거나 7일 동안 무료로 보관할 수 있습니다.

요청 만들기

컨트롤은 모델 스키마에서 생성됩니다. 값을 변경하면 코드와 가격이 업데이트됩니다.

•필수

음성으로 합성할 텍스트 콘텐츠입니다.

•필수

음성 합성에 선택된 음성입니다.

고급 language · output_format
language

합성에 적용할 언어이며 ISO 639-1로 지정합니다.

생성된 오디오의 구성입니다.

POST /run/async/tts-pro/v1.0?wait=20 견적 → $0.001
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/async/tts-pro/v1.0?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "transcript": "Hello from Doitong. This is a short test sentence.",
    "voice": {
      "name": "Jennie"
    }
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

이 요청 실행

키는 이 브라우저에 유지됩니다. Doitong API로만 전송되며, 기억하기를 선택한 경우에만 localStorage에 저장됩니다. API 키 받기

Async Text to Speech Pro V1.0 정보

선택한 `voice` 객체를 사용해 `transcript`를 음성으로 변환합니다. 선택적 `language` 파라미터로 English, French, Spanish, German, Italian 또는 Portuguese 합성을 강제할 수 있습니다. `output_format` 객체로 오디오를 구성하며, 결과에는 오디오 파일, MIME 유형 및 바이트 단위 크기가 포함됩니다. 특정 음성을 선택하는 보이스오버에 적합합니다.

매개변수

이름유형 기본값허용됨 설명
transcript필수
유형string
음성으로 합성할 텍스트 콘텐츠입니다.
voice필수
유형object
음성 합성에 선택된 음성입니다.
voice.name선택 사항
유형enum
기본값Jennie
JennieStellaMaxHayesElaraCleoFisherCorinThaddeusLucinaAcadiaHuxleyWinsletJethroElioRupert
+84개 더 보기EiraNyraArianLilyPierceKaelaElowenFreyaLennyAlessaPandoraFiaAbbottKaelOrlaSableMarnieSeraVirelLioraRivenElysDreenaRheaVelaNymeraIsoldeLirienZellaAvennaMirelleCaliaLuneaLucanTarianArloJovanNeronZivenDaxOrienLiorEryxTyrenNoxElricVarianZoranMiroDalenRonixJarekNyxieSorenVionaSeleneRachielCorbinAbigailFaithKimberlyDaveGraceAldenRenlyVioletJoelXavierEsmeraldaRobertLilaBrooksLennoxVanessaSimonNyomiJackPenelopeBraydenAbelNellieConnieAndrewLincoln
사용할 이름이 지정된 사전 설정 음성입니다. `id`가 제공되면 적용되지 않습니다.
output_format선택 사항
유형object
생성된 오디오의 구성입니다.
output_format.container선택 사항
유형enum
기본값mp3
mp3raw
생성된 오디오의 컨테이너 형식입니다.
output_format.encoding선택 사항
유형enum
pcm_s16lepcm_f32lepcm_mulaw
컨테이너가 'raw'일 때만 적용되는 PCM 인코딩입니다.
output_format.sample_rate선택 사항
유형integer
기본값44100
8,000 – 48,000
출력 샘플링 주파수(Hz)입니다.
output_format.bit_rate선택 사항
유형integer | null
32,000 – 320,000
출력 비트레이트입니다. 'mp3' 컨테이너에만 적용됩니다.
language선택 사항
유형enum
enfresdeitpt
합성에 적용할 언어이며 ISO 639-1로 지정합니다.
필수

출력

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "async/tts-pro/v1.0",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 1,
    "usd": "0.001",
    "charged": 1,
    "refunded": 0
  },
  "input": {
    "transcript": "Hello from Doitong. This is a short test sentence.",
    "voice": {
      "name": "Jennie"
    }
  },
  "output": {
    "audio": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp3",
      "content_type": "audio/mpeg",
      "file_name": "0-output.mp3",
      "file_size": 1843200
    },
    "content_type": "audio/mpeg",
    "size_bytes": 1
  },
  "outputs": [
    {
      "type": "audio",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp3",
      "content_type": "audio/mpeg",
      "file_size": 1843200,
      "duration": 12,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
파일 보관 방식 선택모든 outputs[].url은 스토리지에 저장된 복사본입니다. 계정 설정 또는 ?storage=에 따라 영구 보관(GB-월 단위 과금)하거나 7일 동안 무료로 보관합니다.
모든 모델에서 동일한 구조이미지, 동영상, 오디오 모두 type, url, content_type, width, height 및 duration을 사용합니다. output은 모델 자체의 결과 객체입니다.
출력 필드
audio
object {url, content_type, file_name, file_size}
content_type
string오디오 MIME 유형입니다.
size_bytes
integer바이트 단위의 오디오 크기입니다.

AI 에이전트용: 이 페이지의 Markdown 버전: https://doitong.com/ko/developers/models/async/tts-pro/v1.0.md. 모든 모델 및 가이드: https://doitong.com/developers/llms.txt